Class Fox::FXDocument

In: | FXDocument.rb
Parent: | FXObject

Abstract base class for documents

### Message identifiers

`ID_TITLE`: | x
`ID_FILENAME`: | x

Methods

modified? new

Attributes

filename | [RW] | Document filename
modified | [W] | Modified state for the document [Boolean]
title | [RW] | Document title

Public Class methods

new() {|theDocument| ...}

Return an initialized FXDocument instance

Public Instance methods

modified?()

Return `true` if document is modified